#
# spec file for package seafile-client
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           libseafile0
Version:        6.2.11
Release:        bp150.1.2
Summary:        Cloud storage client

License:        GPL-3.0
Group:          Productivity/Networking/File-Sharing
Url:            https://github.com/haiwen/seafile/
Source0:        https://github.com/haiwen/seafile/archive/v%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  libccnet0-devel
BuildRequires:  libcurl-devel
BuildRequires:  libevent-devel
BuildRequires:  libsearpc1-devel
BuildRequires:  libtool
BuildRequires:  libuuid-devel
BuildRequires:  openssl-devel
BuildRequires:  pkg-config
BuildRequires:  python-devel
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  sqlite-devel
%else
BuildRequires:  sqlite3-devel
%endif
BuildRequires:  vala
BuildRequires:  python-pysearpc

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Seafile is an open source cloud storage system with features on privacy protection and teamwork. Collections of files are
called libraries, and each library can be synced separately. A library can also be encrypted with a user chosen password.
Seafile also allows users to create groups and easily sharing files into groups.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        -n python-seafile
Summary:        Python files for %{name}
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description    -n python-seafile
The python-seafile package contains python files to make use of %{name}.

%prep
%setup -q -n seafile-%{version}

%build
./autogen.sh
%configure --disable-fuse --disable-server --enable-client
make %{?_smp_mflags}
sed -i -e 's#^prefix.*#prefix=/usr#g' lib/libseafile.pc

%install
sed -i -e 's#/usr/bin/env python#/usr/bin/python#g' app/seaf-cli
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/seaf-cli
%{_bindir}/seaf-daemon
%{_libdir}/libseafile.so.0*
%{_datadir}/man/man1/*.gz

%files devel
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/libseafile.pc

%files -n python-seafile
%defattr(-,root,root,-)
%doc
# For noarch packages: sitelib
%{python_sitearch}/seafile

%changelog
* Fri Jan 18 2019 Paolo Stivanin <pstivanin@suse.com>
- Update to v6.2.11
* Thu Dec 13 2018 Paolo Stivanin <pstivanin@suse.com>
- Use correct archive for libseafile
* Thu Dec 13 2018 Paolo Stivanin <pstivanin@suse.com>
- Update to v6.2.9
* Sat Sep 15 2018 Paolo Stivanin <info@paolostivanin.com>
- Add current archive, delete old version
* Sat Sep 15 2018 Paolo Stivanin <info@paolostivanin.com>
- Update to v6.2.5
* Sat Aug  4 2018 christoph@stop.pe
- Updated to version 6.2.4
* Tue May 22 2018 christoph@stop.pe
- Removed obsolete patch
* Tue May 22 2018 christoph@stop.pe
- Updated to version 6.1.8
* Wed Mar 28 2018 christoph@stop.pe
- Fixed build errors on CentOS 7
* Sun Dec 31 2017 christoph@stop.pe
- Updated to version 6.1.4
* Thu Dec  7 2017 christoph@stop.pe
- Fixed groups in spec file
* Thu Dec  7 2017 christoph@stop.pe
- Updated to version 6.1.3
* Sat Feb 25 2017 christoph@stop.pe
- Updated to version 6.0.4
* Sun Sep 25 2016 christoph@stop.pe
- Initial packaging
